Subject: bug#48424: closed (Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Dec 2021 02:34:03 +0000

Your bug report

#17804: bug in "gzip -lv gzip-file"

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17804: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17804
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format
From: Paul Eggert <[email-masked]>
To: Petr Stodůlka <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Dec 2021 18:33:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 6/18/14 15:12, Paul Eggert wrote:
> One simple way forward would be to implement what pigz -tl does, namely, 
> decompress the input stream and discard the output, but print its size.

I finally got around to implementing that suggestion:

https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=cf26200380585019e927fe3cf5c0ecb7c8b3ef14
https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=32fef43b442c7abc70414863d64718cd06f6477a

So I am closing this old bug report.

Subject: bug in "gzip -lv gzip-file"
From: Robert Urban <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2021 20:01:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

gzip (at least my version, v1.10 running on Fedora 33) apparently uses an
unsigned 32-bit value when displaying the uncompressed size of a gzipped file.

This demonstrates the problem:

Create a 5GiB test file:

    $ fallocate -l $((5*1024*1024*1024)) fatfile

Compress it:

    $ gzip -c fatfile > fatfile.gz

List the contents:

    $ gzip -lv fatfile.gz
    method  crc     date  time           compressed        uncompressed  ratio
    uncompressed_name
    defla 193838c3 May 14 19:53             5857306          1073741824  99.5%
    fatfile

As you can see, the value in the "uncompressed" column is exactly 1GiB.

Regards,
Robert Urban

Please cc me in replies, as I'm not a subscriber of the list